from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, Float, Int, Directory, Boolean

Gseapy_Enrichr_V0_1_0 = CommandToolBuilder(tool="gseapy_enrichr", base_command=["gseapy", "enrichr"], inputs=[ToolInput(tag="in_input_list", input_type=String(optional=True), prefix="--input-list", doc=InputDocumentation(doc="Enrichr uses a list of gene names as input.")), ToolInput(tag="in_gene_sets", input_type=String(optional=True), prefix="--gene-sets", doc=InputDocumentation(doc="Enrichr library name(s) required. Separate each name\nby comma.")), ToolInput(tag="in_organism", input_type=String(optional=True), prefix="--organism", doc=InputDocumentation(doc="Enrichr supported organism name. Default: human. See\nhere: https://amp.pharm.mssm.edu/modEnrichr.")), ToolInput(tag="in_description", input_type=String(optional=True), prefix="--description", doc=InputDocumentation(doc="It is recommended to enter a short description for\nyour list so that multiple lists can be differentiated\nfrom each other if you choose to save or share your\nlist.")), ToolInput(tag="in_cut_off", input_type=Float(optional=True), prefix="--cut-off", doc=InputDocumentation(doc="Adjust-Pval cutoff, used for generating plots.\nDefault: 0.05.")), ToolInput(tag="in_background", input_type=Int(optional=True), prefix="--background", doc=InputDocumentation(doc="BioMart Dataset name or Background total genes number.\nDefault: None")), ToolInput(tag="in_top_term", input_type=Int(optional=True), prefix="--top-term", doc=InputDocumentation(doc="Numbers of top terms shown in the plot. Default: 10")), ToolInput(tag="in_outdir", input_type=Directory(optional=True), prefix="--outdir", doc=InputDocumentation(doc="The GSEApy output directory. Default: the current\nworking directory")), ToolInput(tag="in_format", input_type=Boolean(optional=True), prefix="--format", doc=InputDocumentation(doc="File extensions supported by Matplotlib active\nbackend, choose from {'pdf', 'png', 'jpeg','ps',\n'eps','svg'}. Default: 'pdf'.")), ToolInput(tag="in_fs", input_type=Float(optional=True), prefix="--fs", doc=InputDocumentation(doc="height, --figsize width height\nThe figsize keyword argument need two parameters to\ndefine. Default: (6.5, 6)")), ToolInput(tag="in_graph", input_type=Int(optional=True), prefix="--graph", doc=InputDocumentation(doc="Numbers of top graphs produced. Default: 20")), ToolInput(tag="in_no_plot", input_type=Boolean(optional=True), prefix="--no-plot", doc=InputDocumentation(doc="Speed up computing by suppressing the plot output.This\nis useful only if data are interested. Default: False.")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Increase output verbosity, print out progress of your\njob\n"))], outputs=[ToolOutput(tag="out_outdir", output_type=Directory(optional=True), selector=InputSelector(input_to_select="in_outdir", type_hint=File()), doc=OutputDocumentation(doc="The GSEApy output directory. Default: the current\nworking directory"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Gseapy_Enrichr_V0_1_0().translate("wdl", allow_empty_container=True)

